> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Recuperar un reporte de infracción

> Usa este endpoint para recuperar todos los detalles de un único reporte
de infracción.



## OpenAPI

````yaml es/openapi/v3-current/indirect-pix.yaml GET /v1/dict/infraction-reports/{infraction_id}
openapi: 3.0.3
info:
  title: Plugin BR Pix Indirect - API completa
  description: |
    API completa para el sistema de pagos instantáneos Pix de Brasil, que
    incluye operaciones del diccionario de claves Pix, generación/decodificación
    de códigos QR, transacciones y límites transaccionales.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/infraction-reports/{infraction_id}:
    get:
      tags:
        - MED API
      summary: Recuperar un reporte de infracción
      description: |-
        Usa este endpoint para recuperar todos los detalles de un único reporte
        de infracción.
      parameters:
        - $ref: '#/components/parameters/InfractionId'
      responses:
        '200':
          description: Detalles del reporte de infracción recuperados correctamente.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InfractionReportObject'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0001:
                  $ref: '#/components/examples/ErrorPIX0001'
                ErrorPIX0008:
                  $ref: '#/components/examples/ErrorPIX0008'
                ErrorPIX0219:
                  $ref: '#/components/examples/ErrorPIX0219'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0200:
                  $ref: '#/components/examples/ErrorPIX0200'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0000:
                  $ref: '#/components/examples/ErrorPIX0000'
      deprecated: false
      security:
        - bearerAuth: []
components:
  parameters:
    InfractionId:
      name: infraction_id
      in: path
      description: Identificador único del reporte de infracción (formato UUID).
      required: true
      example: 019c96a0-0c98-799e-9135-4613ca469ad8
      schema:
        type: string
  schemas:
    InfractionReportObject:
      type: object
      properties:
        id:
          type: string
          description: Identificador único.
          example: 019c96a0-0c98-799e-9135-4613ca469ad8
        transactionId:
          type: string
          description: Identificador de transacción del SPI.
          example: E12345678202411241430ABCDEFGHIJK
        status:
          type: string
          description: Estado actual.
          enum:
            - OPEN
            - ACKNOWLEDGED
            - CLOSED
            - CANCELLED
          example: OPEN
        reason:
          type: string
          description: Motivo de la infracción.
          example: REFUND_REQUEST
        reporterParticipant:
          type: string
          description: ISPB del participante que reporta.
          example: '12345678'
        counterpartyParticipant:
          type: string
          description: ISPB de la contraparte.
          example: '87654321'
        analysisResult:
          type: string
          description: Resultado del análisis de BACEN.
          example: AGREED
        createdAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
        updatedAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
    ErrorFormat:
      type: object
      description: El mensaje de error de la respuesta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Un identificador único y estable para el error.
        title:
          type: string
          description: Un breve resumen del problema.
        message:
          type: string
          description: Orientación detallada para resolver el error.
  examples:
    ErrorPIX0001:
      summary: Missing Headers in Request
      value:
        code: PIX-0001
        title: Missing Headers in Request
        message: >-
          Your request is missing one or more required header params. Please
          refer to the documentation to ensure all necessary header params are
          included in your request.
    ErrorPIX0008:
      summary: Invalid Path Parameter in Request
      value:
        code: PIX-0008
        title: Invalid Path Parameter in Request
        message: >-
          One or more path parameters are invalid. Please refer to the
          documentation to verify the expected format and allowed values for
          each path parameter.
    ErrorPIX0219:
      summary: Invalid ID Format
      value:
        code: PIX-0219
        title: Invalid ID Format
        message: The ID must be a valid UUID format.
    ErrorPIX0200:
      summary: Infraction Report Not Found
      value:
        code: PIX-0200
        title: Infraction Report Not Found
        message: The infraction report was not found.
    ErrorPIX0000:
      summary: Internal Server Error
      value:
        code: PIX-0000
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````